#include <iostream>
#include <math.h>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    cout<<setprecision(10)<<fixed;
    int N;
    cin>>N;
    int A[N];
    double P[N];
    for(int i=0;i<N;i++){
        cin>>A[i];
        cin>>P[i];
        P[i]/=100;
    }
    double tmp=0;
    double resenje=-15;
    for(int i=0;i<N;i++){
        tmp=0;
        for(int j=0;j<N;j++){
            if(P[i]<=P[j]){
                tmp+=(A[j]*P[i]);
            }
        }
        resenje=max(resenje,tmp);
    }
    cout<<resenje<<endl;

    return 0;
}